Arch MeshToShape/ru
Jump to navigation
Jump to search
Arch
Документация пользователя
Outdated translations are marked like this.
|
Системное название |
---|
Arch MeshToShape |
Расположение в меню |
Архитектура → Утилиты → Сетка в фигуру |
Верстаки |
Arch |
Быстрые клавиши |
Нет |
Представлено в версии |
- |
См. также |
Arch SplitMesh, Удалить форму из Архитектуры |
Описание
Этот инструмент преобразует выбранную сетку в объект типа Shape. Обратите внимание, этот инструмент оптимизирован для объектов с плоскими поверхностями (без кривых). Соответствующий инструмент из верстака Part более подходит для объектов с кривыми поверхностями.
This tool is optimized for objects with flat faces (no curves). The corresponding tool Part ShapeFromMesh from the
Part Workbench might be more suited for objects that contain curved surfaces.
Использование
- Select a mesh object.
- Press the
Mesh to Shape entry in Arch → Utilities → Mesh to Shape.
Properties
Limitations
Scripting
See also: Arch API and FreeCAD Scripting Basics.
This tool can be used in macros and from the Python console by using the following function:
new_obj = meshToShape(obj, mark=True, fast=True, tol=0.001, flat=False, cut=True)
The above code snippet converts the given obj
(a mesh), into a shape, joining coplanar facets.
- If
mark
isTrue
, non-solid objects will be marked in red. - If
fast
isTrue
, it uses a faster algorithm by building a shell from the facets then removing splitter. tol
is the tolerance used when converting mesh segments to wires.- If
flat
isTrue
, it will force the wires to be perfectly planar to be sure they can be converted into faces, but this might leave gaps in the final shell. - If
cut
isTrue
, holes in faces are made by subtraction.
Example:
import Arch, Mesh, BuildRegularGeoms
Box = FreeCAD.ActiveDocument.addObject("Mesh::Cube", "Cube")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()
new_obj = Arch.meshToShape(Box)
- Elements: Wall, Structure, Curtain Wall, Window, Roof, Space, Stairs, Equipment, Frame, Fence, Truss, Profile, Pipe, Pipe Connector
- Reinforcements: Straight Rebar, U-Shape Rebar, L-Shape Rebar, Stirrup, Bent-Shape Rebar, Helical Rebar, Column Reinforcement, Beam Reinforcement, Slab Reinforcement, Footing Reinforcement, Custom Rebar
- Panels: Panel, Panel Cut, Panel Sheet, Nest
- Materials: Material, Multi-Material
- Organization: Building Part, Project, Site, Building, Level, External reference, Section Plane, Schedule
- Axes: Axis, Axes system, Grid
- Modification: Cut with plane, Cut with line, Add component, Remove component, Survey
- Utilities: Component, Clone component, Split Mesh, Mesh to Shape, Select non-manifold meshes, Remove Shape from Arch, Close Holes, Merge Walls, Check, Toggle IFC Brep flag, 3 Views from mesh, Create IFC spreadsheet, Toggle Subcomponents
- Additional: Preferences, Import Export Preferences (IFC, DAE, OBJ, JSON, 3DS, SHP), IfcOpenShell, IfcPlusPlus, Arch API

- Начинающим
- Установка: Загрузка, Windows, Linux, Mac, Дополнительных компонентов, Docker, AppImage, Ubuntu Snap
- Базовая: О FreeCAD, Интерфейс, Навигация мыши, Методы выделения, Имя объекта, Настройки, Верстаки, Структура документа, Свойства, Помоги FreeCAD, Пожертвования
- Помощь: Учебники, Видео учебники
- Верстаки: Std Base, Arch, Draft, FEM, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web